--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Collection this resource associated with. Used by SEL.
  - !ruby/struct:SM::Flow::P 
    body: "@api private"
  name: collection
  rw: W
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: append_inclusions
- !ruby/object:RI::MethodSummary 
  name: descendants
- !ruby/object:RI::MethodSummary 
  name: extra_inclusions
- !ruby/object:RI::MethodSummary 
  name: included
comment: 
constants: []

full_name: DataMapper::Resource
includes: 
- !ruby/object:RI::IncludedModule 
  name: Extlib::Assertions
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: <=>
- !ruby/object:RI::MethodSummary 
  name: ==
- !ruby/object:RI::MethodSummary 
  name: "[]"
- !ruby/object:RI::MethodSummary 
  name: "[]="
- !ruby/object:RI::MethodSummary 
  name: attribute_dirty?
- !ruby/object:RI::MethodSummary 
  name: attribute_get
- !ruby/object:RI::MethodSummary 
  name: attribute_loaded?
- !ruby/object:RI::MethodSummary 
  name: attribute_set
- !ruby/object:RI::MethodSummary 
  name: attributes
- !ruby/object:RI::MethodSummary 
  name: attributes=
- !ruby/object:RI::MethodSummary 
  name: clean?
- !ruby/object:RI::MethodSummary 
  name: collection
- !ruby/object:RI::MethodSummary 
  name: create_hook
- !ruby/object:RI::MethodSummary 
  name: destroy
- !ruby/object:RI::MethodSummary 
  name: destroy!
- !ruby/object:RI::MethodSummary 
  name: destroyed?
- !ruby/object:RI::MethodSummary 
  name: dirty?
- !ruby/object:RI::MethodSummary 
  name: dirty_attributes
- !ruby/object:RI::MethodSummary 
  name: eql?
- !ruby/object:RI::MethodSummary 
  name: hash
- !ruby/object:RI::MethodSummary 
  name: inspect
- !ruby/object:RI::MethodSummary 
  name: key
- !ruby/object:RI::MethodSummary 
  name: new?
- !ruby/object:RI::MethodSummary 
  name: original_attributes
- !ruby/object:RI::MethodSummary 
  name: reload
- !ruby/object:RI::MethodSummary 
  name: repository
- !ruby/object:RI::MethodSummary 
  name: reset
- !ruby/object:RI::MethodSummary 
  name: save
- !ruby/object:RI::MethodSummary 
  name: save!
- !ruby/object:RI::MethodSummary 
  name: save_children
- !ruby/object:RI::MethodSummary 
  name: save_parents
- !ruby/object:RI::MethodSummary 
  name: save_self
- !ruby/object:RI::MethodSummary 
  name: saved?
- !ruby/object:RI::MethodSummary 
  name: update
- !ruby/object:RI::MethodSummary 
  name: update!
- !ruby/object:RI::MethodSummary 
  name: update_attributes
- !ruby/object:RI::MethodSummary 
  name: update_hook
name: Resource
superclass: 
